curl --request POST \
--url https://app.spotzee.com/api/ext/generic/email/senderscore-lookup \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data 'ipv4=<string>'{
"status": "success",
"data": {
"senderscore": 19,
"rating": "POOR",
"color": "#cb333b",
"ss_trend": [
{
"timestamp": "1748995200000",
"value": 59
},
{
"timestamp": "1749081600000",
"value": 56
}
],
"ss_volume_trend": [
{
"timestamp": "1748995200000",
"value": 376
},
{
"timestamp": "1749081600000",
"value": 255
}
],
"rdns": "mail.example.com.",
"volume_tier": "HIGH",
"certified": false,
"rp_safe": false
}
}Lookup sender reputation score for an IP address
curl --request POST \
--url https://app.spotzee.com/api/ext/generic/email/senderscore-lookup \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data 'ipv4=<string>'{
"status": "success",
"data": {
"senderscore": 19,
"rating": "POOR",
"color": "#cb333b",
"ss_trend": [
{
"timestamp": "1748995200000",
"value": 59
},
{
"timestamp": "1749081600000",
"value": 56
}
],
"ss_volume_trend": [
{
"timestamp": "1748995200000",
"value": 376
},
{
"timestamp": "1749081600000",
"value": 255
}
],
"rdns": "mail.example.com.",
"volume_tier": "HIGH",
"certified": false,
"rp_safe": false
}
}Bearer token authentication. Use format: Bearer YOUR_API_KEY
IPv4 address
Successfully retrieved sender score
Indicates successful operation
success Hide child attributes
Sender score rating (0-100)
19
Rating category based on score
EXCELLENT, GOOD, FAIR, POOR, VERY POOR "POOR"
Color code for visual representation
"#cb333b"
Historical sender score trend (last 30 days)
[
{ "timestamp": "1748995200000", "value": 59 },
{ "timestamp": "1749081600000", "value": 56 }
]Historical email volume trend (last 30 days)
[
{
"timestamp": "1748995200000",
"value": 376
},
{
"timestamp": "1749081600000",
"value": 255
}
]Reverse DNS hostname
"mail.example.com."
Email volume tier classification
LOW, MEDIUM, HIGH, VERY HIGH "HIGH"
Whether the sender is certified
false
Whether the sender is Return Path certified
false
Was this page helpful?